Captcha demo protected
/captcha/demo-protectedDemo-only endpoint guarded by the captcha rule; used by the test page.
This method requires a solved Captcha!
Some methods require captcha, in order to solve them you need to create RecaptchaV3 and insert your secret key into captcha-key, add it to your page - pass them - and get the answer from the captcha and added to the g-recaptcha-response parameter.
Create a captcha in the Google Recaptcha control panel.
Also you can write to our support and we can disable captcha for you in some methods.
Create a captcha in the Google Recaptcha control panel.
Also you can write to our support and we can disable captcha for you in some methods.
Query method
POSThttps://api.stableproxy.com/v2/captcha/demo-protected
Query parameters
| Identifier | Regulations | Example |
|---|---|---|
| captcha-keyNot necessarily | nullablestring | "6Le6gTwUAAA ... secret ...tjbYd6IAYN_" |
| g-recaptcha-response | requiredapp\_rules\_sp_captcha_rule | "03AFcWeA690BhJU7VIxoIpsXXdDx7IVllNVz804lKvWNIBYmF42ALfY18TY4cjjQ0sY_...." |
Code examples
1const baseUrl = "https://api.stableproxy.com/v2";2const response = await fetch(baseUrl + "/captcha/demo-protected", {3 method: "POST",4 headers: {5 "Content-Type": "application/json"6 },7 body: JSON.stringify({8 "captcha-key": "\"6Le6gTwUAAA ... secret ...tjbYd6IAYN_\"",9 "g-recaptcha-response": "\"03AFcWeA690BhJU7VIxoIpsXXdDx7IVllNVz804lKvWNIBYmF42ALfY18TY4cjjQ0sY_....\""10 })11});12const data = await response.json();